Bug 474490 - python-boto encoding doesn't work on RHEL4
python-boto encoding doesn't work on RHEL4
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
high Severity high
: 1.1
: ---
Assigned To: Robert Rati
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 20:16 EST by Robert Rati
Modified: 2009-02-04 11:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:04:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-12-03 20:16:35 EST
Description of problem:
Traceback (most recent call last):
  File "/usr/libexec/condor/hooks/hook_translate.py", line 301, in ?
    sys.exit(main())
  File "/usr/libexec/condor/hooks/hook_translate.py", line 292, in main
    sqs_queue.write(message)
  File "/usr/lib/python2.3/site-packages/boto/sqs/queue.py", line 181, in write
    message.get_body_encoded())
  File "/usr/lib/python2.3/site-packages/boto/sqs/message.py", line 117, in get_body_encoded
    return base64.b64encode(self.get_body())
AttributeError: 'module' object has no attribute 'b64encode'


base64.encodestring(str).replace('\n','') seems a good substitute for b64encode

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Farrellee 2008-12-05 08:21:53 EST
This has been resolved, there were 3 issues:
 1) b64encode(...) -> encodestring(...).replace('\n','')
 2) sort(cmp=...) -> sort(...)
 3) (most painful) extra Content-Length header introduce by boto/connection.py removed

Please mark MODI once the new python-boto package is created
Comment 2 Robert Rati 2008-12-05 11:18:02 EST
Changes are in python-boto-1.0a-2
Comment 5 errata-xmlrpc 2009-02-04 11:04:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.